View Issue Details

IDProjectCategoryView StatusLast Update
0003024gnunet-gtkgnunet-fs-gtkpublic2013-12-24 20:54
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PriorityhighSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.10.0Fixed in Version0.10.0 
Summary0003024: when we discover a namespace advertisement, we need to update the sks-fs zone accordingly
DescriptionThe plan is to then add a PKEY record into the sks-fs zone under an appropriate label (derived from the meta data). Furthermore, we might want to stress the need to specify such a label in the namespace advertising dialog (i.e. by adding a "must fill in" field).
Additional Information
Eventually, we'd want to store the meta data (in addition to the PKEY) in the zone, but that feature can wait.
TagsNo tags attached.

Relationships

related to 0003025 closedChristian Grothoff gnunet-gtk when we discover a namespace advertisement, we should also store the advertisement's meta data in the zone 
parent of 0002986 closedMatthias Wachs GNUnet namestore testcases need to be updated to new API 
child of 0001952 closedChristian Grothoff gnunet-gtk namespace list in search dialog should have context menu 
child of 0002936 closedChristian Grothoff GNUnet integrate GNS with identity service 

Activities

Christian Grothoff

2013-09-10 17:11

manager   ~0007431

Here is the current plan. If we discover a SKS URI, the context menu now allows the user to push that URI into the search bar (!). There, the user can then trigger a search -- or should be able to press the "save" button to "remember" the namespace. The "save" button then triggers a GNS search for the PSEU which will be used to identify the namespace in the SKS zone.

Right now, the implementation (gnunet-fs-gtk_main-window-search.c) hackish-ly tries to fake a real implementation using the GNS shorten feature; in reality, we should probably do this more
interactively:
1) window to indicate that we're searching for PSEU, with abiltiy to abort;
2) suggest user PSEU, allow user to edit it (also on abort)
3) store to namestore manually (so we're certain it happened)

Christian Grothoff

2013-09-10 21:05

manager   ~0007433

Ok, this should now be all implemented in SVN 29171, but untested (as namestore/GNS are not yet ready to begin with). So the bug stays open until we've actually tested this.

Christian Grothoff

2013-09-15 21:46

manager   ~0007455

Seems to work now.

Issue History

Date Modified Username Field Change
2013-09-06 11:38 Christian Grothoff New Issue
2013-09-06 11:40 Christian Grothoff Relationship added related to 0003025
2013-09-06 11:41 Christian Grothoff Status new => confirmed
2013-09-07 21:17 Christian Grothoff Relationship added child of 0001952
2013-09-08 20:20 Christian Grothoff Assigned To => Christian Grothoff
2013-09-08 20:20 Christian Grothoff Status confirmed => assigned
2013-09-10 17:11 Christian Grothoff Note Added: 0007431
2013-09-10 21:05 Christian Grothoff Note Added: 0007433
2013-09-10 21:05 Christian Grothoff Relationship added parent of 0002986
2013-09-10 21:07 Christian Grothoff Relationship added child of 0002936
2013-09-15 21:46 Christian Grothoff Note Added: 0007455
2013-09-15 21:46 Christian Grothoff Status assigned => resolved
2013-09-15 21:46 Christian Grothoff Fixed in Version => 0.10.0
2013-09-15 21:46 Christian Grothoff Resolution open => fixed
2013-12-24 20:54 Christian Grothoff Status resolved => closed